> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorlake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Runtime Health

> Check whether the sandbox daemon is healthy.

Check whether the sandbox daemon is healthy.

## Endpoint

```http theme={null}
GET /api/v1/health
```

Use this endpoint on the sandbox proxy host:

```text theme={null}
https://<sandbox-id-or-name>.sandbox.tensorlake.ai/api/v1/health
```

## Example Request

```bash theme={null}
curl https://<sandbox-id>.sandbox.tensorlake.ai/api/v1/health \
  -H "Authorization: Bearer $TENSORLAKE_API_KEY"
```

## Response

Tensorlake returns `200 OK`:

```json theme={null}
{
  "healthy": true
}
```


## OpenAPI

````yaml get /api/v1/health
openapi: 3.1.0
info:
  title: Tensorlake API
  description: >-
    Tensorlake Cloud APIs for Sandboxes, Document Ingestion, and Serverless
    Workflows
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://api.tensorlake.ai/
security:
  - bearerAuth: []
tags:
  - name: Tensorlake Cloud API
    description: >-
      Tensorlake Cloud APIs for Sandboxes, Document Ingestion, and Serverless
      Workflows
paths:
  /api/v1/health:
    servers:
      - url: https://{identifier}.sandbox.tensorlake.ai
        description: >-
          Example sandbox proxy host for a specific running sandbox. For
          programmatic access, use the sandbox's `ingress_endpoint`.
        variables:
          identifier:
            default: example-sandbox
            description: The sandbox ID or sandbox name.
    get:
      tags:
        - sandbox-runtime
      summary: Runtime health
      description: Check whether the sandbox daemon is healthy.
      operationId: sandbox_runtime_health
      responses:
        '200':
          description: Sandbox daemon health
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxRuntimeHealth'
components:
  schemas:
    SandboxRuntimeHealth:
      type: object
      required:
        - healthy
      properties:
        healthy:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````